# Boxes App (Frontend)

This is the frontend application for the Boxes App, built with React. It allows users to manage boxes and their contents.

## Features

- **User Authentication:** Users can log in to access their boxes and items.
- **Box Management:**
    - Create new boxes.
    - View a list of existing boxes.
    - Delete boxes.
- **Item Management:**
    - View items within a box.
    - Add new items to a box.
    - Edit existing item details.
    - Delete items from a box.

## Technologies Used

- **React:** JavaScript library for building user interfaces.
- **Material-UI:** React component library for providing pre-built UI elements.
- **Axios:** Promise-based HTTP client for making API requests.
- **React Router:** Library for handling routing and navigation in a React application.

## Installation

1. **Clone the repository:**
   ```bash
   git clone git@gitea.r8z.us:stwhite/boxes-fe.git
